<back to all web services

GetScheduledTasks

The following routes are available for this service:
GET/RestApi/sitefinity/scheduling/scheduled-tasks
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class GetScheduledTasks
{
    open var Skip:Int? = null
    open var Take:Int? = null
    open var SearchTerm:String? = null
    open var OrderBy:OrderByType? = null
    open var FilterBy:FilterByType? = null
}

enum class OrderByType
{
    ScheduledFor,
    LastExecutionDate,
    Status,
    NameAsc,
    NameDesc,
}

enum class FilterByType
{
    All,
    Pending,
    Started,
    Stopped,
    Failed,
    Recurring,
}

open class GetScheduledTasksResponse
{
    open var Items:ArrayList<ScheduledTaskViewModel>? = null
    open var TotalCount:Int? = null
}

open class ScheduledTaskViewModel
{
    open var TaskId:UUID? = null
    open var Name:String? = null
    open var Title:String? = null
    open var Status:String? = null
    open var ErrorMessage:String? = null
    open var RecurringInterval:String? = null
    open var ScheduledForDate:Date? = null
    open var LastExecutionTime:Date? = null
    open var Hash:String? = null
}

Kotlin GetScheduledTasks DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/sitefinity/scheduling/scheduled-tasks HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"TotalCount":0}